public inbox for io-uring@vger.kernel.org
 help / color / mirror / Atom feed
* [PATCH] selftests: ublk: fix test_stripe_04
@ 2025-04-04  0:18 Ming Lei
  2025-04-04  1:09 ` Uday Shankar
  2025-04-04  2:19 ` Jens Axboe
  0 siblings, 2 replies; 5+ messages in thread
From: Ming Lei @ 2025-04-04  0:18 UTC (permalink / raw)
  To: Jens Axboe, io-uring, linux-block, Pavel Begunkov
  Cc: Caleb Sander Mateos, Ming Lei, Uday Shankar

Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
added test entry of test_stripe_04, but forgot to add the test script.

So fix the test by adding the script file.

Reported-by: Uday Shankar <ushankar@purestorage.com>
Signed-off-by: Ming Lei <ming.lei@redhat.com>
---
 .../testing/selftests/ublk/test_stripe_04.sh  | 24 +++++++++++++++++++
 1 file changed, 24 insertions(+)
 create mode 100755 tools/testing/selftests/ublk/test_stripe_04.sh

diff --git a/tools/testing/selftests/ublk/test_stripe_04.sh b/tools/testing/selftests/ublk/test_stripe_04.sh
new file mode 100755
index 000000000000..1f2b642381d1
--- /dev/null
+++ b/tools/testing/selftests/ublk/test_stripe_04.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+# SPDX-License-Identifier: GPL-2.0
+
+. "$(cd "$(dirname "$0")" && pwd)"/test_common.sh
+
+TID="stripe_04"
+ERR_CODE=0
+
+_prep_test "stripe" "mkfs & mount & umount on zero copy"
+
+backfile_0=$(_create_backfile 256M)
+backfile_1=$(_create_backfile 256M)
+dev_id=$(_add_ublk_dev -t stripe -z -q 2 "$backfile_0" "$backfile_1")
+_check_add_dev $TID $? "$backfile_0" "$backfile_1"
+
+_mkfs_mount_test /dev/ublkb"${dev_id}"
+ERR_CODE=$?
+
+_cleanup_test "stripe"
+
+_remove_backfile "$backfile_0"
+_remove_backfile "$backfile_1"
+
+_show_result $TID $ERR_CODE
-- 
2.47.1


^ permalink raw reply related	[flat|nested] 5+ messages in thread

* Re: [PATCH] selftests: ublk: fix test_stripe_04
  2025-04-04  0:18 [PATCH] selftests: ublk: fix test_stripe_04 Ming Lei
@ 2025-04-04  1:09 ` Uday Shankar
  2025-04-04  2:19 ` Jens Axboe
  1 sibling, 0 replies; 5+ messages in thread
From: Uday Shankar @ 2025-04-04  1:09 UTC (permalink / raw)
  To: Ming Lei
  Cc: Jens Axboe, io-uring, linux-block, Pavel Begunkov,
	Caleb Sander Mateos

On Fri, Apr 04, 2025 at 08:18:49AM +0800, Ming Lei wrote:
> Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
> added test entry of test_stripe_04, but forgot to add the test script.
> 
> So fix the test by adding the script file.
> 
> Reported-by: Uday Shankar <ushankar@purestorage.com>
> Signed-off-by: Ming Lei <ming.lei@redhat.com>

Reviewed-by: Uday Shankar <ushankar@purestorage.com>

Thanks for the quick fix!

> ---
>  .../testing/selftests/ublk/test_stripe_04.sh  | 24 +++++++++++++++++++
>  1 file changed, 24 insertions(+)
>  create mode 100755 tools/testing/selftests/ublk/test_stripe_04.sh
> 
> diff --git a/tools/testing/selftests/ublk/test_stripe_04.sh b/tools/testing/selftests/ublk/test_stripe_04.sh
> new file mode 100755
> index 000000000000..1f2b642381d1
> --- /dev/null
> +++ b/tools/testing/selftests/ublk/test_stripe_04.sh
> @@ -0,0 +1,24 @@
> +#!/bin/bash
> +# SPDX-License-Identifier: GPL-2.0
> +
> +. "$(cd "$(dirname "$0")" && pwd)"/test_common.sh
> +
> +TID="stripe_04"
> +ERR_CODE=0
> +
> +_prep_test "stripe" "mkfs & mount & umount on zero copy"
> +
> +backfile_0=$(_create_backfile 256M)
> +backfile_1=$(_create_backfile 256M)
> +dev_id=$(_add_ublk_dev -t stripe -z -q 2 "$backfile_0" "$backfile_1")
> +_check_add_dev $TID $? "$backfile_0" "$backfile_1"
> +
> +_mkfs_mount_test /dev/ublkb"${dev_id}"
> +ERR_CODE=$?
> +
> +_cleanup_test "stripe"
> +
> +_remove_backfile "$backfile_0"
> +_remove_backfile "$backfile_1"
> +
> +_show_result $TID $ERR_CODE
> -- 
> 2.47.1
> 

^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PATCH] selftests: ublk: fix test_stripe_04
  2025-04-04  0:18 [PATCH] selftests: ublk: fix test_stripe_04 Ming Lei
  2025-04-04  1:09 ` Uday Shankar
@ 2025-04-04  2:19 ` Jens Axboe
  2025-04-04  3:46   ` Ming Lei
  1 sibling, 1 reply; 5+ messages in thread
From: Jens Axboe @ 2025-04-04  2:19 UTC (permalink / raw)
  To: io-uring, linux-block, Pavel Begunkov, Ming Lei
  Cc: Caleb Sander Mateos, Uday Shankar


On Fri, 04 Apr 2025 08:18:49 +0800, Ming Lei wrote:
> Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
> added test entry of test_stripe_04, but forgot to add the test script.
> 
> So fix the test by adding the script file.
> 
> 

Applied, thanks!

[1/1] selftests: ublk: fix test_stripe_04
      (no commit info)

Best regards,
-- 
Jens Axboe




^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PATCH] selftests: ublk: fix test_stripe_04
  2025-04-04  2:19 ` Jens Axboe
@ 2025-04-04  3:46   ` Ming Lei
  2025-04-04 12:37     ` Jens Axboe
  0 siblings, 1 reply; 5+ messages in thread
From: Ming Lei @ 2025-04-04  3:46 UTC (permalink / raw)
  To: Jens Axboe
  Cc: io-uring, linux-block, Pavel Begunkov, Caleb Sander Mateos,
	Uday Shankar

On Thu, Apr 03, 2025 at 08:19:57PM -0600, Jens Axboe wrote:
> 
> On Fri, 04 Apr 2025 08:18:49 +0800, Ming Lei wrote:
> > Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
> > added test entry of test_stripe_04, but forgot to add the test script.
> > 
> > So fix the test by adding the script file.
> > 
> > 
> 
> Applied, thanks!
> 
> [1/1] selftests: ublk: fix test_stripe_04
>       (no commit info)

Hi Jens,

Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
is in io_uring-6.15, so this patch should be merged to io_uring-6.15 instead
of block-6.15.


Thanks, 
Ming


^ permalink raw reply	[flat|nested] 5+ messages in thread

* Re: [PATCH] selftests: ublk: fix test_stripe_04
  2025-04-04  3:46   ` Ming Lei
@ 2025-04-04 12:37     ` Jens Axboe
  0 siblings, 0 replies; 5+ messages in thread
From: Jens Axboe @ 2025-04-04 12:37 UTC (permalink / raw)
  To: Ming Lei
  Cc: io-uring, linux-block, Pavel Begunkov, Caleb Sander Mateos,
	Uday Shankar

On 4/3/25 9:46 PM, Ming Lei wrote:
> On Thu, Apr 03, 2025 at 08:19:57PM -0600, Jens Axboe wrote:
>>
>> On Fri, 04 Apr 2025 08:18:49 +0800, Ming Lei wrote:
>>> Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
>>> added test entry of test_stripe_04, but forgot to add the test script.
>>>
>>> So fix the test by adding the script file.
>>>
>>>
>>
>> Applied, thanks!
>>
>> [1/1] selftests: ublk: fix test_stripe_04
>>       (no commit info)
> 
> Hi Jens,
> 
> Commit 57ed58c13256 ("selftests: ublk: enable zero copy for stripe target")
> is in io_uring-6.15, so this patch should be merged to io_uring-6.15 instead
> of block-6.15.

Both branches already went to Linus yesterday, which is why this one is
in the block branch now as there are no dependencies left.

-- 
Jens Axboe

^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2025-04-04 12:37 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2025-04-04  0:18 [PATCH] selftests: ublk: fix test_stripe_04 Ming Lei
2025-04-04  1:09 ` Uday Shankar
2025-04-04  2:19 ` Jens Axboe
2025-04-04  3:46   ` Ming Lei
2025-04-04 12:37     ` Jens Axboe

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox